#include "comm.h"
#include "servo.h"

#include <SPI.h>
#include <LittleFS.h>

ServoController controller;
CommunicationsController comms;

void setup() {
    LittleFS.begin();
    comms.init();

    controller.initServos();
    controller.initMag();

    pinMode(15, OUTPUT);
    pinMode(12, OUTPUT);
    pinMode(13, OUTPUT);

    delay(1000);
}

void loop() {
    comms.process();
    controller.updateHeading();
}
